# ServerRegionProvinceMonthlyStatService
> 省份月份统计

---

## findTopServerRegionProvinceMonthlyStats
> 查找前N个省份

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/ServerRegionProvinceMonthlyStatService/findTopServerRegionProvinceMonthlyStats`
- RPC：`rpc findTopServerRegionProvinceMonthlyStats (FindTopServerRegionProvinceMonthlyStatsRequest) returns (FindTopServerRegionProvinceMonthlyStatsResponse);`

**请求对象 (`FindTopServerRegionProvinceMonthlyStatsRequest`)**

```json
{
  "month": "string // YYYYMM",
  "serverId": "int64 // 服务ID（网站ID）",
  "countryId": "int64",
  "offset": "int64 // 读取位置",
  "size": "int64 // 数量，通常不能小于0"
}
```

**响应对象 (`FindTopServerRegionProvinceMonthlyStatsResponse`)**

```json
{
  "stats": "[]Stat",
  "regionCountry": "RegionCountry",
  "regionProvince": "RegionProvince",
  "count": "int64 // 数量"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/ServerRegionProvinceMonthlyStatService/findTopServerRegionProvinceMonthlyStats" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---
